Bug 66011 - FILEOPEN: We are unable to open this rtf file with Writer.
Summary: FILEOPEN: We are unable to open this rtf file with Writer.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: Other Windows (All)
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: BSA (target:4.3.0) target:4.2.1
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-21 14:52 UTC by onslaugh2
Modified: 2014-01-27 03:10 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
A text document with spreadsheets embbed (127.92 KB, application/rtf)
2013-06-21 14:52 UTC, onslaugh2
Details
bt with symbols on 4.2 (17.47 KB, text/plain)
2014-01-17 21:08 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description onslaugh2 2013-06-21 14:52:46 UTC
Created attachment 81171 [details]
A text document with spreadsheets embbed

Problem description: 

Steps to reproduce:
1. open document from a local drive with admin accounts. Clean install and new profile with purge realized
2. Clean registry
3. When opening this document with writer, this message appear :Erreur d'entrée/sortie générale
It works with calc but he is presentationless

Thank you in advance.
Operating System: Windows 7
Version: 4.0.3.3 release
Comment 1 Cor Nouws 2013-06-21 15:45:16 UTC
related to bug 65017 ??
Comment 2 Julien Nabet 2013-06-22 21:04:46 UTC
onslaugh2: I'm not sure to understand. Do you have a problem with any rtf files or just a specific one? If specific one, could you attach it to the bugtracker so we can try to reproduce?
Comment 3 Julien Nabet 2014-01-17 19:44:55 UTC
On pc Debian x86-64 with master sources updated today, I can open the obsolete attached file.
Comment 4 Julien Nabet 2014-01-17 21:08:57 UTC
Created attachment 92305 [details]
bt with symbols on 4.2

bt from 4.2 sources updated today.
Comment 5 Julien Nabet 2014-01-17 21:10:10 UTC
Miklos: any idea which patch(es) could be cherry-picked from master to fix the pb on 4.2?
Comment 6 Miklos Vajna 2014-01-26 11:04:02 UTC
f7ef84640258e4ee6ddc4cc5cbf58a2d89860afa fixed this on master.
Comment 7 Miklos Vajna 2014-01-26 11:05:26 UTC
https://gerrit.libreoffice.org/7663 fixes this on -4-2, marking as resolved.
Comment 8 Commit Notification 2014-01-27 03:10:35 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e7debed56f5f037208e49233034ad8a578d1dfbc&h=libreoffice-4-2

fdo#66011 abi#2128 RTF import: fix memory leak


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.